Skip to content
View Markdown

Update notification capture and retention

POST/v1/disks/{disk}/notifications
POST
/v1/disks/{disk}/notifications
curl --request POST \
--url https://api.wabe.sh/v1/disks/demo/notifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "enabled": true, "retention": { "max_count": 1000 }, "coalesce_window_ms": 0 }'
disk
required
string
/^[A-Za-z0-9_-]{1,128}$/

Example

demo

Project disk name, or the disk ID in the actor runtime disk URL.

Media typeapplication/json
object
enabled
boolean
retention
object
max_count
integer | null
>= 1
max_bytes
integer | null
>= 1
coalesce_window_ms
integer
<= 60000
include_value
boolean

Example

{
"enabled": true,
"retention": {
"max_count": 1000
},
"coalesce_window_ms": 0
}

Updated settings. A supplied retention object replaces the previous one; at least one positive limit is required while enabled.

Media typeapplication/json
object
enabled
required
boolean
retention
required
object
max_count
integer | null
>= 1
max_bytes
integer | null
>= 1
coalesce_window_ms
required
integer
<= 60000
include_value
required
boolean

Invalid settings, cursor or filters.

object
code
required
string
message
required
string

Missing, invalid or revoked project API key, or an invalid runtime access token.

Media typeapplication/json
object
error
required
string
message
required
string

Actor runtime token does not authorize this disk or instance generation.

Media typeapplication/json
object
error
required
string
message
required
string

Object was not found.

Media typetext/plain
string

Conflict, nonempty destination or referenced object.

Media typetext/plain
string

Storage failure.

object
code
required
string
message
required
string

Notifications closed.

Media typeapplication/json
object
code
required
string
message
required
string